<?php

namespace LatePoint\GoogleCalendarAddon\GuzzleHttp;

use LatePoint\GoogleCalendarAddon\Psr\Http\Message\MessageInterface;
final class BodySummarizer implements \LatePoint\GoogleCalendarAddon\GuzzleHttp\BodySummarizerInterface
{
    /**
     * @var int|null
     */
    private $truncateAt;
    public function __construct(int $truncateAt = null)
    {
        $this->truncateAt = $truncateAt;
    }
    /**
     * Returns a summarized message body.
     */
    public function summarize(\LatePoint\GoogleCalendarAddon\Psr\Http\Message\MessageInterface $message) : ?string
    {
        return $this->truncateAt === null ? \LatePoint\GoogleCalendarAddon\GuzzleHttp\Psr7\Message::bodySummary($message) : \LatePoint\GoogleCalendarAddon\GuzzleHttp\Psr7\Message::bodySummary($message, $this->truncateAt);
    }
}
