<?php

namespace LatePoint\GoogleCalendarAddon;

use LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32;
class Base32Test extends \LatePoint\GoogleCalendarAddon\PHPUnit\Framework\TestCase
{
    /**
     * @covers Base32::encode()
     * @covers Base32::decode()
     * @covers Base32::encodeUpper()
     * @covers Base32::decodeUpper()
     */
    public function testRandom()
    {
        for ($i = 1; $i < 32; ++$i) {
            for ($j = 0; $j < 50; ++$j) {
                $random = \random_bytes($i);
                $enc = \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::encode($random);
                $this->assertSame($random, \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::decode($enc));
                $unpadded = \rtrim($enc, '=');
                $this->assertSame($unpadded, \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::encodeUnpadded($random));
                $this->assertSame($random, \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::decode($unpadded));
                $enc = \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::encodeUpper($random);
                $this->assertSame($random, \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::decodeUpper($enc));
                $unpadded = \rtrim($enc, '=');
                $this->assertSame($unpadded, \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::encodeUpperUnpadded($random));
                $this->assertSame($random, \LatePoint\GoogleCalendarAddon\ParagonIE\ConstantTime\Base32::decodeUpper($unpadded));
            }
        }
    }
}
